org.apache.ignite.internal.binary.streams

## Class BinaryAbstractStream

- java.lang.Object
- - org.apache.ignite.internal.binary.streams.BinaryAbstractStream

All Implemented Interfaces:
  BinaryStream

Direct Known Subclasses:
  BinaryAbstractInputStream, BinaryAbstractOutputStream

    public abstract class BinaryAbstractStream
    extends Object
    implements BinaryStream

Binary abstract stream.

### Field Summary

Fields
`protected static byte` `BYTE_ONE` Byte: one.
`protected static byte` `BYTE_ZERO` Byte: zero.
`protected int` `pos` Position.

### Constructor Summary

Constructors
Constructor and Description
`BinaryAbstractStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `position()`
`protected void` `shift(int cnt)` Shift position.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.binary.streams.BinaryStream

`array, arrayCopy, capacity, hasArray, offheapPointer, position, rawOffheapPointer`

### Field Detail

#### BYTE_ZERO

    protected static final byte BYTE_ZERO

Byte: zero.

See Also:
  Constant Field Values

#### BYTE_ONE

    protected static final byte BYTE_ONE

Byte: one.

See Also:
  Constant Field Values

#### pos

    protected int pos

Position.

### Constructor Detail

#### BinaryAbstractStream

    public BinaryAbstractStream()

### Method Detail

#### position

    public int position()

Specified by:
  `position` in interface `BinaryStream`
Returns:
  Position.

#### shift

    protected void shift(int cnt)

Shift position.

Parameters:
  `cnt` - Byte count.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022